Create or update a snapshot repository

Auth
Important

If you are migrating searchable snapshots, the repository name must be identical in the source and destination clusters. To register a snapshot repository, the cluster's global metadata must be writeable. Ensure there are no cluster blocks (for example, cluster.blocks.read_only and clsuter.blocks.read_only_allow_delete settings) that prevent write access.

Several options for this API can be specified using a query parameter or a request body parameter. If both parameters are specified, only the query parameter is used.

About managing snapshot

Required privileges

Cluster privileges manage

Path parameters

repository string required

The name of the snapshot repository to register or update.

Query parameters

master_timeout string · default: 30s

The period to wait for the master node. If the master node is not available before the timeout expires, the request fails and returns an error. To indicate that the request should never timeout, set it to -1.

timeout string · default: 30s

The period to wait for a response from all relevant nodes in the cluster after updating the cluster metadata. If no response is received before the timeout expires, the cluster metadata update still applies but the response will indicate that it was not completely acknowledged. To indicate that the request should never timeout, set it to -1.

verify boolean · default: true

If true, the request verifies the repository is functional on all master and data nodes in the cluster. If false, this verification is skipped. You can also perform this verification with the verify snapshot repository API.

Request body

One of:
type: azure
type enum required

The Azure repository type.

Values: azure
uuid string

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.